LINUX.ORG.RU

Почему не работает debootstrap в Devuan?

 ,


0

1

debootstrap --arch amd64 jessie /download/distro_test https://packages.roundr.devuan.org/devuan/

I: Retrieving InRelease 
I: Checking Release signature
I: Valid Release signature (key id 72E3CB773315DFA2E464743D94532124541922FB)
I: Validating Packages 
I: Resolving dependencies of required packages...
I: Resolving dependencies of base packages...
I: Found additional required dependencies: libfdisk1 sysvinit-core 
I: Found additional base dependencies: tasksel 
I: Checking component main on https://packages.roundr.devuan.org/devuan...
E: Couldn't find these debs: ca-certificates apt-transport-https

Что-то про ключи?

Кроме того при установке каждого пакета появляется сообщение подобное такому:

Size of file /var/cache/apt/archives/partial/rkhunter_1.4.2-0.4+deb8u1_all.deb is not what the server reported 237628 963

Репозитории Devuan неполные. Они содержать только пакеты, в которые вносились изменения по сравнению с соответствующими пакетами Debian. Если их собственный пересобранный debootstrap не может, скажем, использовать два URL репозиториев, то я бы посоветовал установить с репозитория Debian, а потом обновить, добавив репозиторий Devuan в sources.list в соответствующем чруте.

TeopeTuK ★★ ()
Ответ на: комментарий от anonymous

Только что почему-то проапгрейдился пакет debootstrap, хотя должен был раньше проапгрейдиться, причем удивительные цифры получаются:

/var/cache/apt/archives# ls -al | grep debootstr
-rw-r--r-- 1 root root    69376 [b] Dec 15  2017 [/b] debootstrap_1.0.87+devuan1_all.deb

-rw-r--r-- 1 root root    68[b]666[/b] [b] Jun 18  2017 [/b] debootstrap_1.0.89~bpo8+1_all.deb

Почему дата более позднего по версии пакета моложе, чем более раннего?

linuxier ()
Ответ на: комментарий от linuxier

Сверил содержимое deb пакетов из debootstrap и workstation в каталоге /var/cache/apt/archives, deb пакеты в совпадают.

Наверно для уверенности надо переставить их заново dpkg -i *.deb?

При установке нового пакета debootstrapped инстоляция не выдает ошибку о расхождении размера файлов, workstation выдает.

Возможно где-то подмена не в устанавливаемых deb пакетах?

Что еще проверить? deboostrapped: gpg --list-keys выдает пустой список, как оно работает без GPG клюба?

workstation: gpg --list-keys выдает НЕпустой список с ключом с сайта дистра

linuxier ()